package com.qmth.jkserver.dto;

import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.LinkedMultiValueMap;

import java.io.File;
import java.util.List;
import java.util.Set;

/**
 * @Description: file dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/5/25
 */
public class FileDto {

    @ApiModelProperty(value = "文件集合")
    List<File> fileList;

    @ApiModelProperty(value = "待删除路径")
    List<String> deletePaths;

    @ApiModelProperty(value = "批次文件集合")
    List<LinkedMultiValueMap<String, File[]>> linkedMultiValueMapList;

    public FileDto() {

    }

    public FileDto(List<File> fileList) {
        this.fileList = fileList;
    }

    public FileDto(List<LinkedMultiValueMap<String, File[]>> linkedMultiValueMapList, List<String> deletePaths) {
        this.linkedMultiValueMapList = linkedMultiValueMapList;
        this.deletePaths = deletePaths;
    }

    public List<LinkedMultiValueMap<String, File[]>> getLinkedMultiValueMapList() {
        return linkedMultiValueMapList;
    }

    public void setLinkedMultiValueMapList(List<LinkedMultiValueMap<String, File[]>> linkedMultiValueMapList) {
        this.linkedMultiValueMapList = linkedMultiValueMapList;
    }

    public List<File> getFileList() {
        return fileList;
    }

    public void setFileList(List<File> fileList) {
        this.fileList = fileList;
    }

    public List<String> getDeletePaths() {
        return deletePaths;
    }

    public void setDeletePaths(List<String> deletePaths) {
        this.deletePaths = deletePaths;
    }
}
